
QGIS Application - Bug report #20436

Qgis Crashed

2018-11-10 09:22 AM - Renato Tonielli

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28256

Description

User Feedback

Report Details

Crash ID: 2914058403b924eacaabedb0a9ec0a376cacaa1b

Stack Trace

QgsField::QgsField :

QgsFields::field :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::init :

QgsAttributeForm::QgsAttributeForm :

QgsAttributeDialog::init :

QgsAttributeDialog::QgsAttributeDialog :

QgsFeatureAction::newDialog :

QgsFeatureAction::viewFeatureForm :

QgsIdentifyResultsDialog::featureForm :

QgsIdentifyResultsDialog::show :

QgsMapToolIdentifyAction::identifyFromGeometry :

QMetaObject::activate :

QgsMapToolSelect::qt_static_metacall :

QgsMapToolSelect::setSelectionMode :

QgsMapToolIdentifyAction::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20351: crash Closed 2018-11-03

History

#1 - 2018-11-11 02:08 PM - Jürgen Fischer

- Duplicates Bug report #20351: crash added

#2 - 2018-11-11 02:08 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
